Bug 221177 - dns/knot-resolver: Update to 1.3.2
Summary: dns/knot-resolver: Update to 1.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthew Seaman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-02 14:06 UTC by Leo Vandewoestijne
Modified: 2017-08-10 11:55 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback? (freebsd)


Attachments
knot-Resolver 1.3.2 (1.05 KB, text/plain)
2017-08-02 14:06 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details
Fix various issues in previous patch (4.64 KB, patch)
2017-08-04 14:01 UTC, Matthew Seaman
matthew: maintainer-approval? (freebsd)
Details | Diff
knot-Resolver 1.3.3 (4.82 KB, patch)
2017-08-10 08:47 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2017-08-02 14:06:37 UTC
Created attachment 184956 [details]
knot-Resolver 1.3.2

Knot-resolver 1.3.2 contains security updates, bugfixes and improvements.
https://gitlab.labs.nic.cz/knot/knot-resolver/raw/v1.3.2/NEWS
Comment 1 Leo Vandewoestijne 2017-08-02 14:08:02 UTC
Comment on attachment 184956 [details]
knot-Resolver 1.3.2

Forget to mention it was successfully tested in Poudriere.
Comment 2 Matthew Seaman freebsd_committer 2017-08-04 14:01:10 UTC
Created attachment 185016 [details]
Fix various issues in previous patch

Hi, Leo,

I noticed some of the options settings weren't doing anything, and then one thing led to another.  What do you think of this updated patch?

I renamed the 'STATS' option to 'TRUSTANCHOR' because that seemed to be the important thing that option was controlling.  Not convinced that should even be optional though.
Comment 3 Leo Vandewoestijne 2017-08-10 08:47:10 UTC
Created attachment 185225 [details]
knot-Resolver 1.3.3

Oh.. (as in oh-oh ). Thanks.
I never noticed as I use the very minimalistic version. Good you did.

So I test your patch against i386 & amd64 on 10.3, 11.0, 11.1 and already on 12.0
And it's all fine.

But while running these tests, 1.3.3 already was released.
So I adjusted against that, ran the same tests again, and again all is fine.

So if you wish to first close this PR then patch 185016 is approved.
If you wish to upgrade straight to 1.3.3 then attached patch is also.
Comment 4 commit-hook freebsd_committer 2017-08-10 11:54:06 UTC
A commit references this bug:

Author: matthew
Date: Thu Aug 10 11:53:46 UTC 2017
New revision: 447672
URL: https://svnweb.freebsd.org/changeset/ports/447672

Log:
  Update to 1.3.3

    - fix up OPTIONS processing so that
       - turning off an OPTION does disable the option even in the presence
         of the optional dependencies required for it
       - add PLIST_FILES where appropriate for each option
    - rename the STATS option to TRUSTANCHOR since that's the important
      capability that option controls
    - strip installed files where appropriate

  Changes:  	https://gitlab.labs.nic.cz/knot/knot-resolver/raw/v1.3.3/NEWS

  PR:		221177
  Submitted by:	freebsd@dns-lab.com (maintainer)

Changes:
  head/dns/knot-resolver/Makefile
  head/dns/knot-resolver/distinfo
  head/dns/knot-resolver/pkg-plist
Comment 5 Matthew Seaman freebsd_committer 2017-08-10 11:55:01 UTC
Committed, thanks!